Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List projects

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

GET/v1/projects
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (bh_…).

Query parameters
limitinteger
min 1 · max 500 · default: 100
offsetinteger
min 0 · max 9007199254740991 · default: 0
contactIdstring
statusstring
Allowed:draftactivesubmittedarchived
includeArchivedboolean
default: false
updatedSincestring<date-time>
Responses
200

OK

dataobject[]required
Show properties
Array of object
idstringrequired
contactIdstringrequired
buildingIdstringrequired
titlestringrequired
typestringrequired
Allowed:heat-planningenergieausweisfoerderservice
statusstringrequired
Allowed:draftactivesubmittedarchived
versionNumberintegerrequired
min -9007199254740991 · max 9007199254740991
rootProjectIdstring | nullrequired
Show properties
Any of:
string
string
null
null
parentProjectIdstring | nullrequired
Show properties
Any of:
string
string
null
null
isVisibleInCustomerPortalbooleanrequired
archivedAtstring<date-time> | nullrequired
Show properties
Any of:
string<date-time>
string<date-time>
null
null
createdAtstring<date-time>required
updatedAtstring<date-time>required
hasMorebooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://app.bauhow.com/api/v1/projects' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "id": "string",
      "contactId": "string",
      "buildingId": "string",
      "title": "string",
      "type": "heat-planning",
      "status": "draft",
      "versionNumber": -9007199254740991,
      "rootProjectId": "string",
      "parentProjectId": "string",
      "isVisibleInCustomerPortal": true,
      "archivedAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "hasMore": true
}

Was this page helpful?